Bug 850365 - Introduce new systemd-rpm macros in wesnoth spec file
Introduce new systemd-rpm macros in wesnoth spec file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:16 EDT by Lukáš Nykrýn
Modified: 2013-08-12 14:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 14:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:16:53 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Steve Tyler 2013-08-03 13:48:27 EDT
Bug 991376 is for a complete rewrite of the wesnoth.spec file.
Could you take a look at it?

Bug 991376 - RFE: convert wesnoth.spec file to use scons
Comment 2 Václav Pavlín 2013-08-06 04:25:11 EDT
Hi, I see systemd macros are not used in the new spec file - do you need any help with it?
Comment 3 Steve Tyler 2013-08-06 06:39:47 EDT
Thanks, Václav. That's what I needed to know. CCing Will Woods.

Will: There are new systemd macros for spec files.[1] There are slight differences between what they do and what the wesnoth.spec file does.[2]
Could you take a look? (Comment 0 has links to more info.)

Václav: The wesnoth.spec file has some lines for SysV compatibility.
What do you advise for those?

[1] # RPM macros for packages installing systemd unit files
http://cgit.freedesktop.org/systemd/systemd/tree/src/core/macros.systemd.in

[2] wesnoth.spec: Attachment 781670 [details]
Comment 4 Václav Pavlín 2013-08-08 03:10:01 EDT
I think it should be safe now to drop those lines.

Note You need to log in before you can comment on or make changes to this bug.